Deployments

A deployment represents a transition between pipeline versions


List all deployments

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/deployments

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Responses

StatusBodyDescription
200ListDeploymentsResponsesuccessful operation
4XXErrorError
5XXErrorError

Get api deployment by id

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/deployments/{deployment_id}

Path parameters

NameTypeRequiredDescription
deployment_idintegeryesThe unique identifier for the target deployment.
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Responses

StatusBodyDescription
200GetDeploymentResponsesuccessful operation
4XXErrorError
5XXErrorError